<template>
  <div data-test="todo-app">
    <h1 data-test="todo-title">TODO APP</h1>
    <div
      data-test="todo"
      v-for="todo in todos"
      :key="todo.id"
      :class="[todo.completed ? 'completed' : '']"
    >
      <input
        type="checkbox"
        v-model="todo.completed"
        data-test="todo-checkbox"
      />
      {{ todo.text }}
    </div>

    <form data-test="form" @submit.prevent="createTodo">
      <input data-test="new-todo" v-model="newTodo" />
    </form>
  </div>
</template>

<script>
export default {
  name: 'TodoApp',

  data() {
    return {
      newTodo: '',
      todos: [],
    };
  },

  methods: {
    createTodo() {
      this.todos.push({
        id: 1,
        text: this.newTodo,
        completed: false,
      });
    },
  },
};
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
